<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Berita;

class BeritaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        header('Access-Control-Allow-Origin', '*');
        header('Access-Control-Allow-Methods', 'POST, OPTIONS, GET, XMLHttpRequest');
        header('Access-Control-Allow-Credentials', 'true');
        header('Access-Control-Max-Age', '10000');
        header('Access-Control-Allow-Headers', 'Content-Type, Authorization, X-Requested-With, HttpHeaders');
        return response()->json([
            'berita'=>Berita::all(),
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        header('Access-Control-Allow-Origin', '*');
        header('Access-Control-Allow-Methods', 'POST, OPTIONS, GET, XMLHttpRequest,PUT,DELETE,PATCH');
        header('Access-Control-Allow-Credentials', 'true');
        header('Access-Control-Max-Age', '10000');
        header('Access-Control-Allow-Headers', 'Content-Type, Authorization, X-Requested-With, HttpHeaders');
        return Berita::findOrFail($id);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    public function showIndex($id)
    {
        return Berita::find($id)->get();
    }
}
